# class FunctionImp | Implementation class for Functions. More...
Contains pure virtuals
Full name | `KJS::FunctionImp`
Definition | `#include <function.h>`
Inherits | KJS::ObjectImp [public ]
Inherited by | ConstructorImp, InternalFunctionImp
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- FunctionImp ()
- FunctionImp (const UString &n)
- virtual ~FunctionImp ()
- virtual const TypeInfo* typeInfo () const
- virtual Completion execute (const List &)
- bool hasAttribute (FunctionAttribute a) const
- virtual CodeType codeType () const
- KJSO thisValue () const
- void addParameter (const UString &n)
- KJSO executeCall (Imp *thisV, const List *args)
- UString name () const

#### Public Members

- static const TypeInfo info

#### Protected Members

- UString ident
- FunctionAttribute attr
- Parameter *param

## Detailed Description

FunctionImp () | ### FunctionImp

FunctionImp (const UString &n) | ### FunctionImp

~FunctionImp () | ### ~FunctionImp

[virtual]

const TypeInfo* typeInfo () | ### typeInfo

[const virtual]

Reimplemented from ObjectImp.

static const TypeInfo info | ### info

Completion execute (const List &) | ### execute

[pure virtual]

bool hasAttribute (FunctionAttribute a) | ### hasAttribute

[const]

CodeType codeType () | ### codeType

[const pure virtual]

KJSO thisValue () | ### thisValue

[const]

void addParameter (const UString &n) | ### addParameter

KJSO executeCall (Imp *thisV, const List *args) | ### executeCall

UString name () | ### name

[const]

UString ident | ### ident

[protected]

FunctionAttribute attr | ### attr

[protected]

Parameter * param | ### param

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:14 2001, using kdoc 2.0a53.